Support upper-constraints in tox.ini

Bug #1628597 reported by Steve McLellan on 2016-09-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Karbor
Undecided
Pallavi
OpenStack Billing Service (Distil)
Undecided
pawnesh kumar
OpenStack Designate Charm
Undecided
iswarya vakati
OpenStack Searchlight
Fix Released
High
Steve McLellan
Rally
Undecided
iswarya vakati
Solum
Undecided
iswarya vakati
Vitrage Client
Undecided
avnish
Vitrage Dashboard
Undecided
avnish
congress
Undecided
iswarya vakati
craton
Undecided
iswarya vakati
freezer-web-ui
Undecided
iswarya vakati
kolla
Medium
Pallavi
os-client-config
Fix Released
Undecided
avnish
python-mistralclient
Undecided
Pallavi
python-solumclient
Undecided
iswarya vakati
tempest
Undecided
Jordan Pittier
tripleo-common
In Progress
Undecided
iswarya vakati
tripleo-quickstart
Fix Released
Undecided
avnish
trove-dashboard
Undecided
Unassigned

Bug Description

tox.ini needs to respect upper-constraints in order to pin CI jobs as time goes on.

This is as simple as adding to install_command:

 -c{env:UPPER_CONSTRAINTS_FILE:https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt}

Fix proposed to branch: master
Review: https://review.openstack.org/378770

Changed in searchlight:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/378770
Committed: https://git.openstack.org/cgit/openstack/searchlight/commit/?id=3c6023068b08143917a66edae44e81332cc8142b
Submitter: Jenkins
Branch: master

commit 3c6023068b08143917a66edae44e81332cc8142b
Author: Steve McLellan <email address hidden>
Date: Wed Sep 28 11:30:15 2016 -0500

    Use upper-constraints for tox envs

    Pin tox environments to upper-constraints to avoid conflicts with
    library releases.

    Change-Id: Iad1beeaa57895e7b7f003b35c70408387a83e0d1
    Closes-Bug: #1628597

Changed in searchlight:
status: In Progress → Fix Released
Pallavi (pallavi-s) on 2016-10-05
Changed in ceilometer:
assignee: nobody → Pallavi (pallavi-s)
Changed in python-heatclient:
assignee: nobody → Pallavi (pallavi-s)
Changed in aodh:
assignee: nobody → Pallavi (pallavi-s)
Pallavi (pallavi-s) on 2016-10-05
Changed in python-swiftclient:
assignee: nobody → Pallavi (pallavi-s)
Pallavi (pallavi-s) on 2016-10-05
Changed in python-keystoneclient:
assignee: nobody → Pallavi (pallavi-s)
Changed in masakari:
assignee: nobody → Pallavi (pallavi-s)
Changed in python-searchlightclient:
assignee: nobody → Pallavi (pallavi-s)
Pallavi (pallavi-s) on 2016-10-05
Changed in karbor:
assignee: nobody → Pallavi (pallavi-s)
Changed in kolla:
assignee: nobody → Pallavi (pallavi-s)
Changed in vitrage:
assignee: nobody → Pallavi (pallavi-s)
Changed in diskimage-builder:
assignee: nobody → Pallavi (pallavi-s)
Changed in python-cinderclient:
assignee: nobody → Pallavi (pallavi-s)
Pallavi (pallavi-s) on 2016-10-05
Changed in python-vitrageclient:
assignee: nobody → Pallavi (pallavi-s)
Changed in cloudbase-init:
assignee: nobody → Pallavi (pallavi-s)
Pallavi (pallavi-s) on 2016-10-05
Changed in python-mistralclient:
assignee: nobody → Pallavi (pallavi-s)
Changed in trove-dashboard:
assignee: nobody → Pallavi (pallavi-s)
Changed in solum:
assignee: nobody → Pallavi (pallavi-s)
Changed in storlets:
assignee: nobody → Pallavi (pallavi-s)
Changed in python-tackerclient:
assignee: nobody → Pallavi (pallavi-s)
Pallavi (pallavi-s) on 2016-10-05
Changed in neutron:
assignee: nobody → Pallavi (pallavi-s)
Changed in congress:
assignee: nobody → Pallavi (pallavi-s)
Changed in sahara:
assignee: nobody → Pallavi (pallavi-s)
Changed in rally:
assignee: nobody → iswarya vakati (v-iswarya)

Fix proposed to branch: master
Review: https://review.openstack.org/382281

Changed in aodh:
status: New → In Progress
Pallavi (pallavi-s) on 2016-10-05
Changed in python-karborclient:
assignee: nobody → Pallavi (pallavi-s)
Changed in tempest:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in craton:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in charm-designate:
assignee: nobody → iswarya vakati (v-iswarya)

Fix proposed to branch: master
Review: https://review.openstack.org/382316

Changed in karbor:
status: New → In Progress
Changed in tripleo-common:
assignee: nobody → iswarya vakati (v-iswarya)

Fix proposed to branch: master
Review: https://review.openstack.org/382338

Changed in sahara:
status: New → In Progress
Changed in freezer-web-ui:
assignee: nobody → iswarya vakati (v-iswarya)
Julien Danjou (jdanjou) on 2016-10-05
Changed in aodh:
status: In Progress → Invalid

Change abandoned by Julien Danjou (<email address hidden>) on branch: master
Review: https://review.openstack.org/382281

Julien Danjou (jdanjou) on 2016-10-05
Changed in ceilometer:
status: New → Invalid
Vitalii Gridnev (vgridnev) wrote :

Please no, don't assign all projects to issue. it is absolutely useless.

Moreover, I think that there is no sense in bug at all. So, making as no longer affects sahara.

no longer affects: sahara
Changed in python-solumclient:
assignee: nobody → iswarya vakati (v-iswarya)
gordon chung (chungg) on 2016-10-05
no longer affects: ceilometer
no longer affects: aodh
Steve Martinelli (stevemar) wrote :

Isn't this just wrong now?

Read http://lists.openstack.org/pipermail/openstack-dev/2016-August/101474.html

AFAIK the more common tox jobs use upper-constraints

no longer affects: python-keystoneclient
Pallavi (pallavi-s) on 2016-10-05
no longer affects: python-vitrageclient
no longer affects: python-tackerclient
no longer affects: python-heatclient
no longer affects: python-searchlightclient
no longer affects: python-cinderclient
no longer affects: diskimage-builder
no longer affects: neutron
no longer affects: storlets
no longer affects: masakari
no longer affects: python-swiftclient
Pallavi (pallavi-s) on 2016-10-05
no longer affects: vitrage
no longer affects: python-karborclient
no longer affects: cloudbase-init
Sharat Sharma (sharat-sharma) wrote :

Hi Pallavi,
This change is not necessary in case of python-mistralclient.

Sharat Sharma (sharat-sharma) wrote :

Fix proposed to branch: master
Review: https://review.openstack.org/383619

Changed in rally:
status: New → In Progress
Changed in kolla:
importance: Undecided → Medium
milestone: none → ocata-1

Reviewed: https://review.openstack.org/382316
Committed: https://git.openstack.org/cgit/openstack/karbor/commit/?id=867e72244e859d70804a756ad979ffc2d6295869
Submitter: Jenkins
Branch: master

commit 867e72244e859d70804a756ad979ffc2d6295869
Author: pallavi <email address hidden>
Date: Wed Oct 5 16:45:03 2016 +0530

    Use upper-constraints for tox envs

    Pin tox environments to upper-constraints to avoid conflicts with
    library releases.

    Change-Id: Ib00098823d017eb604733026a879fa7ce97117a9
    Closes-Bug: #1628597

Changed in karbor:
status: In Progress → Fix Released
Changed in distil:
assignee: nobody → pawnesh kumar (pawnesh.kumar)

Fix proposed to branch: master
Review: https://review.openstack.org/385379

Changed in distil:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/385799

Changed in craton:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/385811

Changed in tempest:
status: New → In Progress

Change abandoned by iswarya vakati (<email address hidden>) on branch: master
Review: https://review.openstack.org/385799
Reason: patch already exits https://review.openstack.org/#/c/385381/

Changed in freezer-web-ui:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/389519

Changed in python-solumclient:
status: New → In Progress
Changed in tripleo-common:
status: New → In Progress
Changed in charm-designate:
status: New → In Progress
Changed in kolla:
status: New → In Progress
Changed in solum:
assignee: Pallavi (pallavi-s) → iswarya vakati (v-iswarya)
status: New → In Progress
Changed in congress:
assignee: Pallavi (pallavi-s) → iswarya vakati (v-iswarya)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/390539

Changed in trove-dashboard:
assignee: Pallavi (pallavi-s) → iswarya vakati (v-iswarya)
status: New → In Progress

Reviewed: https://review.openstack.org/383619
Committed: https://git.openstack.org/cgit/openstack/rally/commit/?id=cf2247e4a26efbf7b7721fab8574b49878418dc2
Submitter: Jenkins
Branch: master

commit cf2247e4a26efbf7b7721fab8574b49878418dc2
Author: Iswarya_Vakati <email address hidden>
Date: Fri Oct 7 15:28:42 2016 +0530

    Use upper-constraints for tox envs

    Pin tox environments to upper-constraints to avoid conflicts with
    library releases.

    Change-Id: I61153f429de24de9024d3642ca96b07a7bf9bcbd
    Closes-Bug:#1628597

Changed in rally:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/390538
Committed: https://git.openstack.org/cgit/openstack/congress/commit/?id=9402a873737df451e92632706d90af53c561a170
Submitter: Jenkins
Branch: master

commit 9402a873737df451e92632706d90af53c561a170
Author: Iswarya_Vakati <email address hidden>
Date: Tue Oct 25 17:40:57 2016 +0530

    Use upper constraints for all jobs in tox.ini

    Openstack infra now supports upper constraints for all jobs.
    Updated tox.ini to use upper constraints for all jobs.

    Change-Id: Ide07b9c1234734368faca2bef7f3ca83d37f2540
    Closes-Bug:#1628597

Changed in congress:
status: In Progress → Fix Released

Change abandoned by iswarya vakati (<email address hidden>) on branch: master
Review: https://review.openstack.org/390539

iswarya vakati (v-iswarya) wrote :

fix has been released in https://review.openstack.org/370971

Changed in trove-dashboard:
assignee: iswarya vakati (v-iswarya) → nobody
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/390529
Committed: https://git.openstack.org/cgit/openstack/solum/commit/?id=0f282649bee1e9dd181fad7b83d5f0af16791f9e
Submitter: Jenkins
Branch: master

commit 0f282649bee1e9dd181fad7b83d5f0af16791f9e
Author: Iswarya_Vakati <email address hidden>
Date: Tue Oct 25 17:18:00 2016 +0530

    Use upper constraints for all jobs in tox.ini

    Openstack infra now supports upper constraints for all jobs.
    Updated tox.ini to use upper constraints for all jobs.

    Change-Id: If8ac75681ef4ff35d8c76f9f904e109c673dd567
    Closes-Bug:#1628597

Changed in solum:
status: In Progress → Fix Released

This issue was fixed in the openstack/searchlight 2.0.0.0b1 development milestone.

Changed in kolla:
milestone: ocata-1 → ocata-2

Reviewed: https://review.openstack.org/384221
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=bcd3868275b134dcbaaebb38617237c80fc89afc
Submitter: Jenkins
Branch: master

commit bcd3868275b134dcbaaebb38617237c80fc89afc
Author: pawnesh.kumar <email address hidden>
Date: Sun Oct 9 20:40:22 2016 +0530

    Use upper constraints for all jobs in tox.ini

    Openstack infra now supports upper constraints for all jobs.
    Updated tox.ini to use upper constraints for all jobs.

    Change-Id: I603949f16dc415b0900fafcfbd4cf76ff9e8d746
    Closes-Bug: #1628597

Changed in kolla:
status: In Progress → Fix Released

This issue was fixed in the openstack/congress 5.0.0.0b1 development milestone.

James Page (james-page) wrote :

Not valid for the Designate Charm as this does not use global-requirements and is not series aligned

Changed in charm-designate:
status: In Progress → Invalid

This issue was fixed in the openstack/freezer-web-ui 4.0.0.0b2 development milestone.

This issue was fixed in the openstack/kolla 4.0.0.0b2 development milestone.

Fix proposed to branch: master
Review: https://review.openstack.org/417837

Changed in tempest:
assignee: iswarya vakati (v-iswarya) → Jordan Pittier (jordan-pittier)
avnish (avnish-palmca) on 2017-01-12
Changed in vitrage-dashboard:
assignee: nobody → avnish (avnish-palmca)
Changed in python-vitrageclient:
assignee: nobody → avnish (avnish-palmca)
avnish (avnish-palmca) on 2017-01-12
Changed in tripleo-quickstart:
assignee: nobody → avnish (avnish-palmca)

Fix proposed to branch: master
Review: https://review.openstack.org/419257

Changed in vitrage-dashboard:
status: New → In Progress
Changed in python-vitrageclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/419261

Changed in tripleo-quickstart:
status: New → In Progress
avnish (avnish-palmca) on 2017-01-12
Changed in os-client-config:
assignee: nobody → avnish (avnish-palmca)

Fix proposed to branch: master
Review: https://review.openstack.org/419273

Changed in os-client-config:
status: New → In Progress

Reviewed: https://review.openstack.org/419273
Committed: https://git.openstack.org/cgit/openstack/os-client-config/commit/?id=091fde16a38acf17e0d98db44cedc179464aa2f0
Submitter: Jenkins
Branch: master

commit 091fde16a38acf17e0d98db44cedc179464aa2f0
Author: avnish <email address hidden>
Date: Thu Jan 12 10:17:37 2017 +0530

    Use upper-constraints for tox envs

    Pin tox environments to upper-constraints to avoid conflicts with
    library releases.

    Change-Id: I17664e0794de05fb9661050018dff2a07b077826
    Closes-Bug: #1628597

Changed in os-client-config:
status: In Progress → Fix Released

Change abandoned by iswarya vakati (<email address hidden>) on branch: master
Review: https://review.openstack.org/389519

This issue was fixed in the openstack/os-client-config 1.25.0 release.

Reviewed: https://review.openstack.org/419261
Committed: https://git.openstack.org/cgit/openstack/tripleo-quickstart/commit/?id=89186e24be19625e3ef023fb1d25ec4d7dea2bc2
Submitter: Jenkins
Branch: master

commit 89186e24be19625e3ef023fb1d25ec4d7dea2bc2
Author: avnish <email address hidden>
Date: Thu Jan 12 09:41:38 2017 +0530

    Use upper-constraints for tox envs

    Pin tox environments to upper-constraints to avoid conflicts with
    library releases.

    Change-Id: Ic8fb315f7cabe90e6f0efe3c005f5c80d3340b0d
    Closes-Bug: #1628597

Changed in tripleo-quickstart:
status: In Progress → Fix Released

This issue was fixed in the openstack/solum 5.1.0 release.

Reviewed: https://review.openstack.org/385379
Committed: https://git.openstack.org/cgit/openstack/distil/commit/?id=0ce0ba52920095c0ce1a23346181ab9ad5ac8c40
Submitter: Jenkins
Branch: master

commit 0ce0ba52920095c0ce1a23346181ab9ad5ac8c40
Author: pawnesh.kumar <email address hidden>
Date: Wed Oct 12 15:41:11 2016 +0530

    Use upper-constraints for tox envs

    Pin tox environments to upper-constraints to avoid conflicts with
    library releases.

    Change-Id: I471c6929a058ccc41f3a8a3cdcf9c3b3f7a3518a
    Closes-Bug: #1628597

Changed in distil:
status: In Progress → Fix Released

This issue was fixed in the openstack/tripleo-quickstart 2.0.0 release.

Reviewed: https://review.openstack.org/417837
Committed: https://git.openstack.org/cgit/openstack/tempest/commit/?id=ec2eefebc846f00689a791f90d83c71f53ea3eeb
Submitter: Jenkins
Branch: master

commit ec2eefebc846f00689a791f90d83c71f53ea3eeb
Author: Jordan Pittier <email address hidden>
Date: Mon Jan 9 12:57:37 2017 +0100

    Use upper-constraints for tox envs

    Pin tox environments to upper-constraints to avoid conflicts with
    library releases.

    Change-Id: I6e564f3035e2fdc5461f57f15168f498c99fc164
    Closes-Bug:#1628597

Changed in tempest:
status: In Progress → Fix Released

Change abandoned by iswarya vakati (<email address hidden>) on branch: master
Review: https://review.openstack.org/385811
Reason: merge conflict

Change abandoned by Ifat Afek (<email address hidden>) on branch: master
Review: https://review.openstack.org/419258
Reason: The change was already made in another patch

Ifat Afek (ifat-afek) wrote :

Fixed as part of Ocata version

Changed in python-vitrageclient:
status: In Progress → Fix Released

Change abandoned by Ifat Afek (<email address hidden>) on branch: master
Review: https://review.openstack.org/419257
Reason: This change was done in another gerrit issue

Patch with fix was merged a few months ago https://review.openstack.org/#/c/400537/

Changed in python-mistralclient:
status: New → Fix Released

This issue was fixed in the openstack/tempest 16.0.0 release.

This issue was fixed in the openstack/python-openstacksdk 0.10.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers